rotateVec_PrincipalAxis: vector, axis, angle
{
	// credit: Carl Looper

	// rotates a vector around three of the principal axes; returns the rotated vector

	n = vector;

	if(axis == "X")
	{
		n.y = vector.y * cos(anangle - vector.z * sin(angle);
		n.z = vector.y * sin(angle) + vector.z * cos(angle);
		n.x = vector.x;
		return n.x, n.y, n.z;
	}

	if(axis == "Y")
	{
		n.z = vector.z * cos(angle) - vector.x * sin(angle);
		n.x = vector.z * sin(angle) + vector.x * cos(angle);
		n.y = vector.y;
		return n.x, n.y, n.z;
	}

	if(axis == "Z")
	{
		n.x = vector.x * cos(angle) - vector.y * sin(angle);
		n.y = vector.x * sin(angle) + vector.y * cos(angle);
		n.z = vector.z;
		return n.x, n.y, n.z;
	}
}
